Package org.apache.solr.common.util

# Class BytesBlock

java.lang.Object
org.apache.solr.common.util.BytesBlock

public class BytesBlock extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`byte[]`
`buf`

## Constructor Summary

Constructors
Constructor
Description
`BytesBlock(int sz)`

## Method Summary

Modifier and Type
Method
Description
`BytesBlock`
`expand(int sz)`
`byte[]`
`getBuf()`
`int`
`getPos()`
`int`
`getStartPos()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### buf

public byte[] buf

## Constructor Details

### BytesBlock

public BytesBlock(int sz)

## Method Details

### getPos

public int getPos()

### getStartPos

public int getStartPos()

### getBuf

public byte[] getBuf()

### expand

public BytesBlock expand(int sz)